@echo off
call :inputbox "输入安装目录:" "安装目录设置"
if "%Input%" == "" (exit /b)
echo "您设置的安装目录为" %Input%
msiexec.exe /i "大势至共享文件审计系统.msi" TARGETDIR="%Input%"
exit /b

:InputBox
set input=
set heading=%~2
set message=%~1
echo wscript.echo inputbox(WScript.Arguments(0),WScript.Arguments(1),"D:\DSZ\SharedFileMonitor\") >"%temp%\input.vbs"
for /f "tokens=* delims=" %%a in ('cscript //nologo "%temp%\input.vbs" "%message%" "%heading%"') do set input=%%a
exit /b